Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.security
Class Permission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.jboss.portal.cms.security.Permission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    public class Permission

extends java.security.BasicPermission

Author:
  Sohil Shah - sohil.shah@jboss.com - Nov 28, 2006
See Also:
  Serialized Form

Constructor Summary
`Permission()`
`Permission(java.lang.String service)`
`Permission(java.lang.String service, java.lang.String actions)`

Method Summary
`void` | `addCriteria(Criteria criteria)`
`void` | `addRoleAssoc(PermRoleAssoc roleAssoc)`
`void` | `addUserAssoc(PermUserAssoc userAssoc)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `findCriteriaValue(java.lang.String criteriaId)` Finds the specified criteria value for the criteriaId
`java.lang.String` | `getAction()`
`java.util.Set` | `getCriteria()`
`long` | `getId()`
`java.util.Set` | `getRoleAssoc()`
`java.util.Set` | `getRoleAssocIds()`
`java.util.Set` | `getRoles()`
`java.lang.String` | `getService()`
`java.util.Set` | `getUserAssoc()`
`java.util.Set` | `getUserAssocIds()`
`java.util.Set` | `getUsers()`
`boolean` | `isNegated()`
`void` | `setAction(java.lang.String action)`
`void` | `setCriteria(java.util.Set criteria)`
`void` | `setId(long id)`
`void` | `setNegated(boolean isNegated)`
`void` | `setRoleAssoc(java.util.Set roleAssoc)`
`void` | `setRoles(java.util.Set roles)`
`void` | `setService(java.lang.String service)`
`void` | `setUserAssoc(java.util.Set userAssoc)`
`void` | `setUsers(java.util.Set users)`
`java.lang.String` | `toString()`

Methods inherited from class java.security.BasicPermission
`getActions, hashCode, implies, newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Permission

    public Permission()

### Permission

    public Permission(java.lang.String service)

Parameters:
  `name` -

### Permission

    public Permission(java.lang.String service,
                      java.lang.String actions)

Parameters:
  `name` -
  `actions` -

Method Detail

### getId

    public long getId()

  Returns:

### setId

    public void setId(long id)

  Parameters:
    `id` -

### getCriteria

    public java.util.Set getCriteria()

  Returns:

### setCriteria

    public void setCriteria(java.util.Set criteria)

  Parameters:
    `criteria` -

### addCriteria

    public void addCriteria(Criteria criteria)

  Parameters:
    `criteria` -

### getService

    public java.lang.String getService()

  Returns:

### setService

    public void setService(java.lang.String service)

  Parameters:
    `name` -

### getAction

    public java.lang.String getAction()

  Returns:

### setAction

    public void setAction(java.lang.String action)

  Parameters:
    `action` -

### findCriteriaValue

    public java.lang.String findCriteriaValue(java.lang.String criteriaId)

  Finds the specified criteria value for the criteriaId

  Parameters:
    `criteriaId` -
  Returns:
    value of the criteria

### isNegated

    public boolean isNegated()

  Returns:

### setNegated

    public void setNegated(boolean isNegated)

  Parameters:
    `isNegated` -

### getRoleAssoc

    public java.util.Set getRoleAssoc()

  Returns:

### setRoleAssoc

    public void setRoleAssoc(java.util.Set roleAssoc)

  Parameters:
    `roleAssoc` -

### addRoleAssoc

    public void addRoleAssoc(PermRoleAssoc roleAssoc)

  Parameters:
    `roleAssoc` -

### getRoleAssocIds

    public java.util.Set getRoleAssocIds()

  Returns:

### getUserAssoc

    public java.util.Set getUserAssoc()

  Returns:

### setUserAssoc

    public void setUserAssoc(java.util.Set userAssoc)

  Parameters:
    `userAssoc` -

### addUserAssoc

    public void addUserAssoc(PermUserAssoc userAssoc)

  Parameters:
    `userAssoc` -

### getUserAssocIds

    public java.util.Set getUserAssocIds()

  Returns:

### getRoles

    public java.util.Set getRoles()

  Returns:

### setRoles

    public void setRoles(java.util.Set roles)

  Parameters:
    `roles` -

### getUsers

    public java.util.Set getUsers()

  Returns:

### setUsers

    public void setUsers(java.util.Set users)

  Parameters:
    `users` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.security.Permission`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.security.BasicPermission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.